# -*- coding: utf-8 -*-

# © 2018 Le Filament (http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models
from odoo.addons.mail.models import mail_template


class FinacoopLettreCoop(models.Model):
    _name = "fina.lettre.coop"
    _description = 'Lettre de Coop'

    name = fields.Char('Nom de la lettre de coop')
    subject = fields.Char('Objet', help="Objet")
    body_html = fields.Html('Contenu', sanitize=False)
    type_lettre = fields.Boolean('Type de lettre')

    def print_content(self, model_id):
        converted_content = mail_template.mako_template_env.from_string(
            self.body_html).render({'object': model_id})
        return converted_content
