# © 2018 Le Filament (http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models, api


class FinacoopSaleOrderLine(models.Model):
    _inherit = 'sale.order.line'

    nb_rdv = fields.Integer('Nombre de Rdv')


class FinacoopSaleOrder(models.Model):
    _inherit = "sale.order"

    state = fields.Selection([
        ('draft', 'Quotation'),
        ("lc_ok", "LC Validée"),
        ('sent', 'Quotation Sent'),
        ('sale', 'Sales Order'),
        ('done', 'Locked'),
        ('cancel', 'Cancelled'),
        ],)

    ## Fields Lettre Coop
    lettre_coop = fields.Many2one('fina.lettre.coop', "Type lettre de coop")
    content_html = fields.Html(string='Contenu')
    periode_finance = fields.Char('Période à financer')
    projet_finance = fields.Char('Projet à financer')
    chiffre_affaire = fields.Char('Chiffre d affaires')
    levee_financement = fields.Char('Levée de financements')
    lieu_immatriculation = fields.Char('Lieu immatriculation')
    nb_rdv = fields.Integer('Nombre de rdv')
    orga_administrative = fields.Char('Organisation administrative')
    exercice_social = fields.Integer('Exercice social')
    millesime = fields.Integer('Millesime')
    orga_comptable = fields.Char('Organisation comptable')
    volumes_annuels = fields.Integer('Volumes annuels')
    exercice_revise = fields.Integer('Exercice révisé')
    tarifs_horaires = fields.Integer("Tarif horaire", default=75)
    annexe1 = fields.Boolean('Annexe 1')
    annexe2 = fields.Boolean('Annexe 2')
    contact = fields.Many2one(
        comodel_name='res.partner',
        string='Contact',
        domain=[('is_company', '=', False), ])
    ## PDF lettre signé
    pdf_lettre_signe = fields.Binary("Lettre coop signé")
    pdf_filename = fields.Char('Lettre signé PDF')

    @api.multi
    def action_quotation_send(self):
        res = super(FinacoopSaleOrder, self).action_quotation_send()
        template = self.env.ref(
            'finacoop_lettre_coop.email_template_finacoop_lettre_coop',
            False)
        res['context']['default_template_id'] = template and template.id or False
        res['context']['custom_layout'] = ""
        return res

    @api.onchange('lettre_coop')
    def onchange_lettre_coop(self):
        if self.lettre_coop:
            self.content_html = self.lettre_coop.body_html

    @api.multi
    def validate_lc(self):
        self.filtered(lambda s: s.state == 'draft').write({'state': 'lc_ok'})
