# -*- coding: utf-8 -*-
# Part of Odoo. See LICENSE file for full copyright and licensing details.

from odoo import api, models


class FinacoopLettrePreview(models.TransientModel):
    _inherit = "sale.order"
    _name = "lettre.sale.order"
    _description = "Lettre Preview"

    @api.model
    def default_get(self, fields):
        result = super(FinacoopLettrePreview, self).default_get(fields)
        sale = self.env['sale.order'].browse(self.env.context.get('active_id'))
        if sale.lettre_coop:
            result['content_html'] = sale.lettre_coop.print_content(sale)
        else:
            result['content_html'] = ""
        return result
